Création des voucher impossible depuis le passage en 2.1



  • Bonjour,

    Je suis nouveau sur pfsense, j'ai débuté lors d'une réparation d'un pfsense en 2.0.
    Il y a quelques jours j'ai du faire une réinstallation du pfsense du à un problème matériel, j'ai donc importer la configuration de la version 2.0 pour l'injecter sur la version 2.1

    Problème j'ai l'impression que la config n'est pas la même
    j'ai bien conservé mes vlans
    vlan 20 10.9.50.254/24
    vlan 30 10.9.51.254/24
    vlan 31 10.9.52.254/24

    mes interfaces wans
    wan1 (vlan10) en dhcp sur box
    wan2 (vlan11) en dhcp sur box
    wan3 (vlan13) en dhcp sur box

    dans un premier temps je ne trouve plus l'option qui permettait de définir un ordre de priorité sur les wan à utiliser (c bon j'ai retrouvé ça)
    ensuite malgré la présence du vouvher, j'essaye de me connecter avec un utilisateur qui avait les droit de créer des voucher mais j'ai le message suivant:
    "la page n'est pas redirigée correctement"
    je précise que je ne fais que injecter une conf existante
    quelqu'un aurait il fait la même manip?



  • Je n'ai pas de solution à votre problème, toutefois un commentaire pour ceux qui se trouveraient confrontés à une situation similaire.
    Pourquoi avoir installé une version 2.1 alors que le backup est celui d'une version 2.0 ? Vous débutez donc la prudence s'imposait. Il aurait fallu installer une version identique, puis réinjecter la sauvegarde, puis éventuellement migrer en version 2.1.
    Cette méthode aurait permis de diminuer les risques induits par cette situation. La sécurité c’est aussi la disponibilité des systèmes. Il est donc utile de choisir des méthodes de travail qui minimise les risques d'indisponibilité, totale ou partielle, des systèmes.



  • Bonjour,

    avant d'installer la version 2.1 j'avis tester l'importation sans souci.
    J'ai compris le souci c'est l'ajout par une personne sur le 2.0 d'un module permettant de faciliter la création des voucher, donc en fait je vais devoir la recréer et modifier des fichiers du pfsense pour que cette fonctionnalité soit à nouveau disponible.
    Merci pour la réponse



  • Je ne peux contredire ccnet sur la remontée de backup : la même version est à recommander, question de logique !

    Toutefois, pour avoir eu à remonter de backup, je l'ai toujours fait … par étapes !
    D'abord la config des cartes (type, adresses ip, mot de passe PPPoE, ...)
    Puis les alias, puis les règles, ...
    C'est à dire en copiant des parties du fichier de backup dans le "nouveau" puis en restorant ...

    Concernant les vouchers, le principe est de créer des "rolls" (=bandes de vouchers de même type=durée et numérotés).
    Il est clair que le portail doit alors suivre l'utilisation de chacun des vouchers de chaque rolls. (chaque mot compte !)
    Nécessairement, il faut une base (ou table ou liste ou ...)
    Cette base est-elle ou non intégrée dans la sauvegarde ? Telle est la question ...

    Perso, je ne sais pas ...



  • pour te répondre oui la base est bien intégrée à la sauvegarde (c'est qqchose que j'avais vérifier avant même le problème de disque dur qui m'a obligé à installer une nouvelle version)
    si je suis passé à la version 2.1 en l'installant directement c'est car la version 2.0 ne se mettait pas à jour :) qui d'ailleurs avait exactement le même problème

    depuis que j'ai découvert que la personne qui a installé pfsense 2.0 avait modifié le logiciel en ajoutant de nouvelle page et une fonctionnalité qui n'existe pas de "base" je comprends aussi mieux pourquoi je ne retrouve pas la fonctionnalité manquante.


Log in to reply